Highlighted

AirSDK 13.0.0.36 and Intellij Idea: SDK 'AirSDK' includes AIR null

New Here ,
Feb 21, 2014

Copy link to clipboard

Copied

Using the beta sdk released today I cannot compile iOS apps anymore in Intellij Idea (64bit Windows). The last beta worked fine. I am getting an "SDK 'AirSDK' includes AIR null" error. I tried to set -swf-version=24 and changed namespace to 13.0 without luck. Is this IDE specific or is something missing in the package?

TOPICS
Air beta

Views

1.1K

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

AirSDK 13.0.0.36 and Intellij Idea: SDK 'AirSDK' includes AIR null

New Here ,
Feb 21, 2014

Copy link to clipboard

Copied

Using the beta sdk released today I cannot compile iOS apps anymore in Intellij Idea (64bit Windows). The last beta worked fine. I am getting an "SDK 'AirSDK' includes AIR null" error. I tried to set -swf-version=24 and changed namespace to 13.0 without luck. Is this IDE specific or is something missing in the package?

TOPICS
Air beta

Views

1.1K

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Feb 21, 2014 0
New Here ,
Feb 21, 2014

Copy link to clipboard

Copied

Hi,

this problem is at IntelliJ IDEA side: it doesn't expect 2 digits in AIR major version.

Will be fixed in the next IntelliJ IDEA 13.0.3 EAP and IntelliJ IDEA 13.1 EAP expected next week. Sorry for inconvenience.

By the way you don't need to set -swf-version=24, it is done automatically by the IDE.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Feb 21, 2014 0
New Here ,
Jun 11, 2014

Copy link to clipboard

Copied

Hallo

Is it the only option?

I bought IntelliJ last year, version 12.1.6 - and I'm fine with that version, I don't want to spent money on upgrade. Is there an other solution. This problem is critical.

Greetings

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jun 11, 2014 0
Contributor ,
Jun 11, 2014

Copy link to clipboard

Copied

Try downloading and installing v12.1.7 and see if that fixes it for you. It should be a free update.

It sounds like you have a personal license and upgrades for personal licenses are $US99, if that helps. Otherwise, contact JetBrains support and let them know the issue.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jun 11, 2014 0